import * as PropTypes from "prop-types";
import * as React from "react";
import { FontFace } from "./types";
export interface FontProps {
    name: string;
    fontFace: FontFace;
    /**
     * Use this to provide a more project-specific sample text than the pangram.
     * The "Sample" tab will be shown alongside the pangram, this is not a replacement
     * for it.
     */
    sample?: React.ReactNode;
    /**
     * Information for developers how to use the font in their code. Use the predefined
     * renderer (fontUsageCSS) or write your own.
     *
     * The renderer is given the same props as the Font component itself.
     */
    usage?: (props: FontProps, context: {
        catalog: any;
    }) => React.ReactNode;
    cssProperties: React.CSSProperties;
}
interface State {
    selectedTab: "PANGRAM" | "SAMPLE" | "USAGE" | "CSS";
}
export declare class Font extends React.PureComponent<FontProps, State> {
    static contextTypes: {
        catalog: PropTypes.Validator<object>;
    };
    context: {
        catalog: any;
    };
    constructor(props: FontProps);
    render(): JSX.Element;
}
export declare const fontUsageCSS: ({ cssProperties }: FontProps, { catalog }: {
    catalog: any;
}) => JSX.Element;
export {};
